System.ServiceModel 4.0.0.0 System.Collections.ObjectModel.Collection<System.ServiceModel.Channels.BindingElement> System.ServiceModel.Channels.BindingElement To be added.

Represents the collection of binding elements used in a binding.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class from an enumerable set of binding elements.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class from an array of binding elements.

- Method
  4.0.0.0
  System.Void `System.ParamArray` To be added.

  Adds binding elements from an array to the collection of binding elements.

  The of type to be added to the collection.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElementCollection To be added.

  Creates a copy of the binding element collection.

  A copy of the .

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether a specified type of binding element belongs to the collection of binding elements.

  true if the type of binding element specified is contained in the collection; otherwise, false.

  The type of binding element being tested for inclusion in the collection.
- Method
  4.0.0.0
  T To be added.

  Returns the first item of a specified type from the collection of binding elements.

  The item of type if found; if not found, 0 if is a value type and null if is a reference type.

  The of item to find.
- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<T> To be added.

  Returns all of the items of a specified type from the collection of binding elements.

  A of all of the items of type if found; if none are found, 0 if is a value type and null if is a reference type.

  The of item to find.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Inserts a binding element at a specified location within a collection of binding elements.

  The location at which to insert the binding element in the collection. The to be inserted.
- Method
  4.0.0.0
  T To be added.

  Removes a binding element of a specified type from the collection of binding elements.

  The item of type removed.

  The of item to find.
- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<T> To be added.

  Removes all of the binding elements of a specified type from the collection of binding elements.

  A of all of the items of type found.

  The of item to find.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Replaces a binding element at the specified index in the collection of binding elements.

  The zero-based index of the element to replace. The new value for item at the specified .